PROJ_NAME =test
CC=gcc
SRCS=uart_pc.o main_uart.o fun.o
LDFLAGS = -L$(REPERTOIRE)/lib

all: a.out

a.out: $(SRCS)
	$(CC) $(DRAPEAU) -o a.out $(SRCS) $(LDFLAGS)

uart_pc.o: uart_pc.c
	$(CC) -c uart_pc.c

main_uart.o: main_uart.c
	$(CC) -c main_uart.c
	
fun.o: fun.c
	$(CC) -c fun.c

clean:
	rm *.o a.out

flash: a.out
	./a.out
